This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 450394 - Dual head (VGA out) does not work in spanning (non-cloned/mirrored) mode with Intel GM965/X3100
Dual head (VGA out) does not work in spanning (non-cloned/mirrored) mode with...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_965GM
: Reopened, Triaged
: 470361 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-07 10:08 EDT by Tim Wegener
Modified: 2010-04-27 14:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 14:29:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/X11/xorg.conf (593 bytes, text/plain)
2008-06-11 09:17 EDT, Tim Wegener
no flags Details
/var/log/Xorg.0.log for dual head session with xorg.conf present (92.75 KB, text/plain)
2008-06-11 09:20 EDT, Tim Wegener
no flags Details
/var/log/Xorg.0.log for dual head session with xorg.conf deleted beforehand (40.66 KB, text/plain)
2008-06-11 09:25 EDT, Tim Wegener
no flags Details
/var/log/Xorg.0.log for dual head session with xorg.conf deleted beforehand and after running gnome-display-properties (115.89 KB, text/plain)
2008-06-11 09:28 EDT, Tim Wegener
no flags Details
xorg.conf including "Virtual"-Entry to enable Screen-Spanning (804 bytes, text/plain)
2008-08-11 08:08 EDT, Fabian Deutsch
no flags Details

  None (edit)
Description Tim Wegener 2008-06-07 10:08:12 EDT
Description of problem:
When selecting dual screen mode from Monitor Resolution Settings on a laptop,
only screen mirroring (cloning) works. Deselecting mirroring and clicking apply
has no effect. 

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.2.1-24.fc9.i386
xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.i386
xorg-x11-server-utils-7.3-3.fc9.i386
control-center-2.22.1-4.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
1. Turn on external monitor.
2. Connect monitor's VGA connector to VGA-out on laptop.
3. Go to System->Preferences->Hardware->Screen Resolution (gnome-display-properties)
4. Click Detect Displays
5. Select Resolution 1680 x 1050
6. Check that Mirror Screens is checked.
7. Click Apply.
8. Notice that cloned screens are working correctly. 
9. Uncheck Mirror Screens check box. 
10. Drap external monitor icon to the right of the laptop screen icon. 
11. Click Apply.

Actual results:
Display remains in cloned (mirrored) mode, rather than spanning (extended) mode.

Expected results:
External monitor showing an extension of the desktop that is not a clone of the
original desktop. 

Additional info:
HP Compaq 6710b laptop
ViewSonic E771 (or possibly E771-2) 17" CRT monitor

Relevant output of lspci:
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960
Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated
Graphics Controller (rev 0c)

Output of 'xrandr' command:
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 1680 x 1680
VGA connected 1680x1050+0+0 (normal left inverted right x axis y axis) 320mm x 240mm
   1680x1050      60.0*    59.9
   1600x1024      60.2
   1400x1050      60.0
   1280x1024      60.0     60.0
   1440x900       59.9
   1280x960       60.0     60.0
   1360x768       59.8     60.0
   1152x864       75.0     75.0     75.0     70.0     60.0
   1024x768       85.0     85.0     75.1     75.0     70.1     60.0     43.5
   832x624        74.6
   800x600        85.0     85.1     72.2     75.0     60.3     56.2
   640x480        85.0     85.0     75.0     72.8     72.8     75.0     66.7   
 60.0     59.9
   720x400        87.8     85.0     70.1
   640x400        85.1
   640x350        85.1
LVDS connected 1680x1050+0+0 (normal left inverted right x axis y axis) 331mm x
207mm
   1680x1050      60.0*+
   1360x768       59.8     60.0
   1152x864       60.0
   1024x768       60.0
   800x600        60.3
   640x480        59.9
TV disconnected (normal left inverted right x axis y axis)
Comment 1 Matěj Cepl 2008-06-09 15:01:54 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Tim Wegener 2008-06-11 09:17:05 EDT
Created attachment 308926 [details]
/etc/X11/xorg.conf
Comment 3 Tim Wegener 2008-06-11 09:20:47 EDT
Created attachment 308927 [details]
/var/log/Xorg.0.log for dual head session with xorg.conf present

This log is from connecting an external monitor via the VGA-out connector and
then powering up. After powering up I used gnome-display-properties and
unchecked the 'mirrored' checkbox, and clicking Apply and then Close. Note that
if I subsequently run gnome-display-properties the 'mirrored' checkbox reverts
to checked.
Comment 4 Tim Wegener 2008-06-11 09:25:03 EDT
Created attachment 308928 [details]
/var/log/Xorg.0.log for dual head session with xorg.conf deleted beforehand

For this case, I deleted /etc/X11/xorg.conf and rebooted the machine. This is a
snapshot of the log before I play with gnome-display-properties. Note that the
computer automatically started in mirrored mode (as before), but this time at
the lower resolution of 1152x864. The gnome panels appear inset.
Comment 5 Tim Wegener 2008-06-11 09:28:05 EDT
Created attachment 308929 [details]
/var/log/Xorg.0.log for dual head session with xorg.conf deleted beforehand and after running gnome-display-properties

This is an extended version of the previous snapshot. I ran
gnome-display-properties and set the resolution to 1680x1050, which was
successful in mirrored mode and fixed up the gnome panel situation. However,
unchecking 'mirrored', arranging the screen icons side by side (as before, with
the laptop screen on the left), had no effect. Also, restarting
gnome-display-properties resulted in the checkbox reverting to checked
('mirrored').
Comment 6 Fabian Deutsch 2008-08-11 08:06:59 EDT
I was experiencing this bug too.
In my case it started working after adding the "Virtual" Entry (and appropriate values) to my xorg.xonf (attached). In the default setup/xorg.conf this entry is missing.
Comment 7 Fabian Deutsch 2008-08-11 08:08:53 EDT
Created attachment 313954 [details]
xorg.conf including "Virtual"-Entry to enable Screen-Spanning

This xorg.conf is nearly untouched, I just removed informations about the monitor, and added the "Virtual" line in the Display Section.
Comment 8 Bug Zapper 2009-06-09 21:27:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Tim Wegener 2009-06-24 08:50:45 EDT
This mostly works in Fedora 11. Non-mirrored mode works, but does not detect the monitor (Monitor: Unknown), and does not use its full capabilities. It gets limited to 1024x768 at 75Hz. 

Ticking the "Mirror screens" box results in it no longer showing an external monitor in the box. 

Changing configurations occasionally resulted in a kernel oops. 

In the console, the following output gets repeated many times:
(gnome-display-properties:6977): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed

Should the bug version be updated or should I create a new ticket for the above problems?
Comment 10 Matěj Cepl 2009-06-27 15:40:37 EDT

*** This bug has been marked as a duplicate of bug 470361 ***
Comment 11 Matěj Cepl 2009-06-27 15:41:42 EDT
Sorry, this bug is still alive. Other way around then.
Comment 12 Matěj Cepl 2009-06-27 15:42:37 EDT
*** Bug 470361 has been marked as a duplicate of this bug. ***
Comment 13 Nicolas 2009-08-02 04:54:35 EDT
Looks like I'm also encountering this bug on my Fedora 11 laptop... 

[nicolas@munin TEMP]$ uname -a
Linux munin 2.6.29.6-213.fc11.x86_64 #1 SMP Tue Jul 7 21:02:57 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
[nicolas@munin TEMP]$ cat /etc/*-release
Fedora release 11 (Leonidas)
Fedora release 11 (Leonidas)
Fedora release 11 (Leonidas)
[nicolas@munin TEMP]$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
(...)
[nicolas@munin TEMP]$ lspci -vv
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
	Subsystem: Lenovo T61
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c) (prog-if 00 [VGA controller])
	Subsystem: Lenovo T61
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 28
	Region 0: Memory at fa000000 (64-bit, non-prefetchable) [size=1M]
	Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 1800 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915

00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
	Subsystem: Lenovo T61
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at fa100000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>
(...)


The 1440x900 resolution appears perfectly OK for the X server, as per my Xorg.0.log:
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1440x900"x60.0  102.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (55.6 kHz)
(II) intel(0): Modeline "1440x900"x50.0   85.00  1440 1488 1520 1836  900 903 909 926 -hsync -vsync (46.3 kHz)

... but when trying to set the resolution to 1440x900 via gnome-display-properties, it fails with the errors below and the *effective* resolution stays at 640x480:

(gnome-display-properties:3425): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed


From here, my understanding is that Gnome is not able to set the expected resolution of 1440x900 because of the above gdk_x11_atom_to_xatom_for_display errors, correct?


PS: the 1440x900 screen resolution works well with Ubuntu 9.04, so I don't think it's an hardware and/or driver issue...


Cheers!

Regards
 - Nicolas
Comment 15 Matěj Cepl 2009-11-05 13:19:48 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 16 Fabian Deutsch 2009-11-05 13:40:24 EST
I just tested it again using the latest (today) rawhide updates and it works like a charm.
Comment 17 Bryan Christ 2009-11-05 13:46:23 EST
At least as far a BZ 470361 (which was marked as a duplicate is concerned) F11 with the latest updates seems to work fine.
Comment 18 Matěj Cepl 2009-11-07 17:40:33 EST
Thank you for letting us know.
Comment 19 Tim Wegener 2009-11-07 22:15:18 EST
The following problems still persist:

> This mostly works in Fedora 11. Non-mirrored mode works, but does not detect
> the monitor (Monitor: Unknown), and does not use its full capabilities. It gets
> limited to 1024x768 at 75Hz. 

> Changing configurations occasionally resulted in a kernel oops. 

xorg-x11-drv-intel-2.7.0-8.fc11
xorg-x11-server-Xorg-1.6.4-0.3.fc11
xorg-x11-server-common-1.6.4-0.3.fc11
kernel-2.6.30.8-64.fc11.x86_64
Comment 20 Fabian Deutsch 2009-11-25 07:25:02 EST
In generall this problem does not exist on my white MacBook anymore.
I can span the screen over two monitors.

X just crashes, when compiz is activated, but I suppose that this is a different bug.
Comment 21 Bug Zapper 2010-04-27 08:06:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Adam Jackson 2010-04-27 14:29:35 EDT
Closing per comment #20.

Note You need to log in before you can comment on or make changes to this bug.